<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ActivityMail">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity=""
        android:orientation="vertical"
        tools:layout_editor_absoluteX="-16dp"
        tools:layout_editor_absoluteY="40dp">

        <ImageButton
            style="@style/btn_navigate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="onClickBackEmail" />

        <TextView
            style="@style/txt_header3"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="Введите код из E-mail" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="20dp"
            android:gravity="center"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/editNum1"
                style="@style/textedit_code"
                android:digits="0123456789"
                android:ems="10"
                android:imeOptions="actionNext"
                android:inputType="number"
                android:maxLength="1"
                android:nextFocusRight="@+id/editNum2" />

            <EditText
                android:id="@+id/editNum2"
                style="@style/textedit_code"
                android:digits="0123456789"
                android:ems="10"
                android:imeOptions="actionNext"
                android:inputType="number"
                android:maxLength="1"
                android:nextFocusRight="@+id/editNum3" />

            <EditText
                android:id="@+id/editNum3"
                style="@style/textedit_code"
                android:digits="0123456789"
                android:ems="10"
                android:imeOptions="actionNext"
                android:inputType="number"
                android:maxLength="1"
                android:nextFocusRight="@+id/editNum4" />

            <EditText
                android:id="@+id/editNum4"
                style="@style/textedit_code"
                android:layout_marginHorizontal="7dp"
                android:digits="0123456789"
                android:ems="10"
                android:inputType="number"
                android:maxLength="1" />
        </LinearLayout>

        <TextView
            android:id="@+id/sekondCounter"
            style="@style/txt_othertext"
            android:layout_width="240dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"/>

    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>